Nieuws:

We zijn er weer.

Na lange tijd van afwezigheid zijn we er weer  :laugh:
We hebben alle wachtwoorden gereset, je oude wachtwoord werkt niet meer.Je moet via het "wachtwoord vergeten"-linkje je wachtwoord resetten. Je krijgt hiervoor een mailtje op het adres dat je bij ons geregistreerd hebt.

De komende tijd zijn we nog druk bezig om de rest van de site op te bouwen, dus het kan zijn dat sommige onderdelen (tijdelijk) niet werken.

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Transmission zonder gui  (gelezen 3461 keer)

Offline Lars

  • Lid
    • Tuxplace.nl
  • Steunpunt: Nee
Transmission zonder gui
« Gepost op: 2009/05/16, 12:35:39 »
Beste Ubuntero's,

Ik heb weer eens een vraag. Ik heb al een tijdje een ubuntu-server draaien. Daar draait ook Transmission op. Deze bestuur ik via de webgui. Wat alleen jammer is, is dat Transmission een gui nodig heeft om te draaien. Dus moet ik een X-server starten, en zonder aangesloten beeldscherm wil Xorg niet starten. Dus: Er moet altijd een beeldscherm bij de server staan, die je eigenlijk dus niet gebruikt.

Nu is mijn vraag: Kan ik ook Transmission starten zonder gui (en dus zonder x-server), maar wel MET een webgui? Als ik apt-cache search transmission in de SSH gooi krijg ik o.a. dit:

Citaat
transmission-common - free, lightweight BitTorrent client
transmission-gtk - free, lightweight BitTorrent client (graphical interface)
transmission - free, lightweight BitTorrent client
transmission-cli - free, lightweight BitTorrent client (command line interface)
Heeft transmission-common dus een gui of niet? Kan ik het beste de transmission-cli installeren? Heeft die wel een webgui? Zoniet, hoe installeer ik die erbij of kan dat niet?

Alvast bedankt.

Offline Cumulus007

  • Lid
  • Steunpunt: Nee
Re: Transmission zonder gui
« Reactie #1 Gepost op: 2009/05/16, 12:41:49 »
transmission-common is de kern van Transmission en de GUI en de CLI zijn hier omheen gebouwd.

Offline Lars

  • Lid
    • Tuxplace.nl
  • Steunpunt: Nee
Re: Transmission zonder gui
« Reactie #2 Gepost op: 2009/05/16, 12:51:55 »
Bedankt voor je reactie.

Dus ik moet transmission-common en transmission-cli installeren?
Heb ik dan nog wel de webgui?

Offline Cumulus007

  • Lid
  • Steunpunt: Nee
Re: Transmission zonder gui
« Reactie #3 Gepost op: 2009/05/16, 12:53:16 »
in principe wel. Maar als je de cli installeert, komt common automatisch mee ;)

Offline Lars

  • Lid
    • Tuxplace.nl
  • Steunpunt: Nee
Re: Transmission zonder gui
« Reactie #4 Gepost op: 2009/05/16, 12:53:58 »
OK, ik ga het installeren.  =D

Offline Lars

  • Lid
    • Tuxplace.nl
  • Steunpunt: Nee
Re: Transmission zonder gui
« Reactie #5 Gepost op: 2009/05/16, 12:58:41 »
OK, ik heb nu transmission-gtk verwijderd en transmission-cli geinstalleerd.
Het commando transmission werkt niet meer. Naar een google-zoekopdracht kwam ik er op uit dat je nu transmissioncli moet gebruiken. Aleen zegt ie dan: Transmission 1.34 (6778) - http://www.transmissionbt.com/
No torrent specified!
En dat killt ie.
Hoe start ik nu de webui? Moet ik daar iets aparts voor downloaden?

Offline #!

  • Lid
    • tuxtopia
  • Steunpunt: Nee
Re: Transmission zonder gui
« Reactie #6 Gepost op: 2009/05/16, 20:41:46 »
http://trac.transmissionbt.com/wiki/HeadlessUsage

Lees dat is door, zo had ik hem werkend... alleen kon ik hem alleen intern benaderen en niet vanaf buiten mijn netwerk omdat ik wat problemen heb met de whitelist optie in het pakket.  Wel jammer want ik had het graag gebruikt, maar via bovenstaande link heb ik het werkend gekregen :).

Offline Lars

  • Lid
    • Tuxplace.nl
  • Steunpunt: Nee
Re: Transmission zonder gui
« Reactie #7 Gepost op: 2009/05/16, 22:43:57 »
Ik heb nu al voor elkaar, ik heb alles gewoon verwijderd, en het pakket transmission-cli geinstalleerd. Daarna kon ik de daemon opstarten met transmission-daemon, en werkt alles naar behoren.

Offline #!

  • Lid
    • tuxtopia
  • Steunpunt: Nee
Re: Transmission zonder gui
« Reactie #8 Gepost op: 2009/05/16, 23:02:02 »
Ik heb nu al voor elkaar, ik heb alles gewoon verwijderd, en het pakket transmission-cli geinstalleerd. Daarna kon ik de daemon opstarten met transmission-daemon, en werkt alles naar behoren.

oke en je kan hem nu van binnen je netwerk goed benaderen? hoe heb je dit precies voor elkaar gekregen? wat heb je in je config file aangepast :D? ik heb er nog steeds allemaal gezeur mee namelijk :(

Offline Lars

  • Lid
    • Tuxplace.nl
  • Steunpunt: Nee
Re: Transmission zonder gui
« Reactie #9 Gepost op: 2009/05/17, 08:23:01 »
Ja ik kan hem nu in mijn netwerk gewoon goed benaderen. Alleen heb ik nu 1 groot probleem, waar ik nu pas achterkom: Elke keer dat de transmission-daemon afsluit, zijn de downloads weer weg. M'n server gaat om 23:30 's avonds uit en start om 6:30 's ochtends weer op. Dan zijn alle downloads dus weer weg!!!
Als ik transmission probeer op te starten met /etc/init.d/transmission-daemon (zoals het dus eigenlijk moet) start zegt hij wel
Citaat
* Starting bittorrent client transmission-daemon                        [ OK ]
Maar dan kan ik transmission niet bereiken met de web-interface.

EDIT:
Ik heb de oplossing al gevonden, ik heb vanaf hier: http://trac.transmissionbt.com/wiki/Scripts/initd
het originele init script weer terug gezet. Nu werkt het wel goed.

Dit is mijn config file:

{
    "blocklist-enabled": 0,
    "download-dir": "\/data\/bittorrent",
    "download-limit": 100,
    "download-limit-enabled": 0,
    "encryption": 1,
    "max-peers-global": 200,
    "peer-port": 51413,
    "pex-enabled": 1,
    "port-forwarding-enabled": 0,
    "rpc-access-control-list": "+127.0.0.1",
    "rpc-authentication-required": 1,
    "rpc-password": "****",
    "rpc-port": 9091,
    "rpc-username": "***",
    "upload-limit": 100,
    "upload-limit-enabled": 0
}
« Laatst bewerkt op: 2009/05/17, 08:27:25 door Lars »

Offline #!

  • Lid
    • tuxtopia
  • Steunpunt: Nee
Re: Transmission zonder gui
« Reactie #10 Gepost op: 2009/05/17, 10:59:51 »
Oke bedankt voor de info, ga zelf zo ook maar weer is knutselen dan ;) mooi dat ik nu weet dat het iig wel goed KAN werken ;) haha

Offline Lars

  • Lid
    • Tuxplace.nl
  • Steunpunt: Nee
Re: Transmission zonder gui
« Reactie #11 Gepost op: 2009/05/17, 12:07:15 »
OK, veel succes! Moet dit topic nog op OPGELOST oid? Hoe doe ik dat?

Offline #!

  • Lid
    • tuxtopia
  • Steunpunt: Nee
Re: Transmission zonder gui
« Reactie #12 Gepost op: 2009/05/17, 13:35:44 »
OK, veel succes! Moet dit topic nog op OPGELOST oid? Hoe doe ik dat?

Graag, door in je bovenste post even [opgelost] voor je titel te zetten ;).

Ga het nu proberen trouwens :D

Offline #!

  • Lid
    • tuxtopia
  • Steunpunt: Nee
Re: Transmission zonder gui
« Reactie #13 Gepost op: 2009/05/17, 13:47:30 »
hmpf, ik blijf deze melding krijgen:

403: Forbidden

Unauthorized IP Address.

Either disable the IP address whitelist or add your address to it.

If you're editing settings.json, see the 'rpc-whitelist' and 'rpc-whitelist-enabled' entries.

If you're still using ACLs, use a whitelist instead. See the transmission-daemon manpage for details.

Terwijl me whitelist verder wel klopt.. om gek van te worden

Offline Lars

  • Lid
    • Tuxplace.nl
  • Steunpunt: Nee
Re: Transmission zonder gui
« Reactie #14 Gepost op: 2009/05/17, 14:42:03 »
Waar heb je die config file staan?
Namelijk, die in ~/.config/transmission/settings.json heeft geen zin, je moet de ~/.config/transmission-daemon/settings.json hebben.

En na het editen van de file moet je ook de daemon restarten met /etc/init.d/transmission-daemon restart.
En, als laatste, kunnen er in de init file /etc/init.d/transmission-daemon ook nog wat instellingen staan, bekijk die dus ook eens.

Offline #!

  • Lid
    • tuxtopia
  • Steunpunt: Nee
Re: Transmission zonder gui
« Reactie #15 Gepost op: 2009/05/17, 18:57:20 »
Dat is dus het gekke, ik heb best veel settings.sjon

kijk:

peter@server:~$ sudo find / -name "settings.json"
/home/peter/.config/transmission-daemon/settings.json
/var/lib/transmission-daemon/info/settings.json
/etc/transmission-daemon/settings.json
/root/.config/transmission-daemon/settings.json
peter@server:~$

Dus ik heb geen flauw idee meer welke ik moet edditten..

Heb de inhoud van allemaal het zelfde gemaakt, daar staat dit in:
{
    "blocklist-enabled": 0,
    "download-dir": "\/data\/bittorrent",
    "download-limit": 100,
    "download-limit-enabled": 0,
    "encryption": 1,
    "max-peers-global": 200,
    "peer-port": 51413,
    "pex-enabled": 1,
    "port-forwarding-enabled": 1,
    "rpc-access-control-list": "*",
    "rpc-authentication-required": 1,
    "rpc-password": "******",
    "rpc-port": 9091,
    "rpc-username": "******",
    "upload-limit": 100,
    "upload-limit-enabled": 0
}

en in de init file staat het volgende:

#! /bin/sh
### BEGIN INIT INFO
# Provides:          transmission-daemon
# Required-Start:    networking
# Required-Stop:     networking
# Default-Start:     2 3 5
# Default-Stop:      0 1 6
# Short-Description: Start the transmission BitTorrent daemon client.
### END INIT INFO

# Original Author: Lennart A. JÃŒtte, based on Rob Howell's script
# Modified by Maarten Van Coile & others (on IRC)

# Do NOT "set -e"

#
# ----- CONFIGURATION -----
#
# For the default location Transmission uses, visit:
# http://trac.transmissionbt.com/wiki/ConfigFiles
# For a guide on how set the preferences, visit:
# http://trac.transmissionbt.com/wiki/EditConfigFiles
# For the available environement variables, visit:
# http://trac.transmissionbt.com/wiki/EnvironmentVariables
#
# The name of the user that should run Transmission.
# It's RECOMENDED to run Transmission in it's own user,
# by default, this is set to 'transmission'.
# For the sake of security you shouldn't set a password
# on this user
USERNAME=peter


# ----- *ADVANCED* CONFIGURATION -----
# Only change these options if you know what you are doing!
#
# The folder where Transmission stores the config & web files.
# ONLY change this you have it at a non-default location
#TRANSMISSION_HOME="/var/config/transmission-daemon"
#TRANSMISSION_WEB_HOME="/usr/share/transmission/web"
#
# The arguments passed on to transmission-daemon.
# ONLY change this you need to, otherwise use the
# settings file as per above.
#TRANSMISSION_ARGS=""


# ----- END OF CONFIGURATION -----
#
# PATH should only include /usr/* if it runs after the mountnfs.sh script.
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
DESC="bittorrent client"
NAME=transmission-daemon
DAEMON=$(which $NAME)
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME

# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0

# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME

# Load the VERBOSE setting and other rcS variables
[ -f /etc/default/rcS ] && . /etc/default/rcS

#
# Function that starts the daemon/service
#

do_start()
{
{
    # Export the configuration/web directory, if set
    if [ -n "$TRANSMISSION_HOME" ]; then
          export TRANSMISSION_HOME
    fi
    if [ -n "$TRANSMISSION_WEB_HOME" ]; then
          export TRANSMISSION_WEB_HOME
    fi

    # Return
    #   0 if daemon has been started
    #   1 if daemon was already running
    #   2 if daemon could not be started
    start-stop-daemon --chuid $USERNAME --start --pidfile $PIDFILE --make-pidfile \
            --exec $DAEMON --background --test -- -f $TRANSMISSION_ARGS > /dev/null \
            || return 1
    start-stop-daemon --chuid $USERNAME --start --pidfile $PIDFILE --make-pidfile \
            --exec $DAEMON --background -- -f $TRANSMISSION_ARGS \
            || return 2
}

#
# Function that stops the daemon/service
#
do_stop()
{
        # Return
        #   0 if daemon has been stopped
        #   1 if daemon was already stopped
        #   2 if daemon could not be stopped
        #   other if a failure occurred
        start-stop-daemon --stop --quiet --retry=TERM/10/KILL/5 --pidfile $PIDFILE --name $NAME
        RETVAL="$?"
        [ "$RETVAL" = 2 ] && return 2

        # Wait for children to finish too if this is a daemon that forks
        # and if the daemon is only ever run from this initscript.
        # If the above conditions are not satisfied then add some other code
        # that waits for the process to drop all resources that could be
        # needed by services started subsequently.  A last resort is to
        # sleep for some time.

        start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
        [ "$?" = 2 ] && return 2

        # Many daemons don't delete their pidfiles when they exit.
        rm -f $PIDFILE

        return "$RETVAL"
}

case "$1" in
  start)
        echo "Starting $DESC" "$NAME..."
        do_start
        case "$?" in
                0|1) echo "   Starting $DESC $NAME succeeded" ;;
                *)   echo "   Starting $DESC $NAME failed" ;;
        esac
        ;;
  stop)
        echo "Stopping $DESC $NAME..."
        do_stop
        case "$?" in
                0|1) echo "   Stopping $DESC $NAME succeeded" ;;
                *)   echo "   Stopping $DESC $NAME failed" ;;
        esac
        ;;
  restart|force-reload)
        #
        # If the "reload" option is implemented then remove the
        # 'force-reload' alias
        #
        echo "Restarting $DESC $NAME..."
        do_start
        case "$?" in
                0|1) echo "   Starting $DESC $NAME succeeded" ;;
                *)   echo "   Starting $DESC $NAME failed" ;;
        esac
        ;;
  stop)
        echo "Stopping $DESC $NAME..."
        do_stop
        case "$?" in
                0|1) echo "   Stopping $DESC $NAME succeeded" ;;
                *)   echo "   Stopping $DESC $NAME failed" ;;
        esac
        ;;
  restart|force-reload)
        #
        # If the "reload" option is implemented then remove the
        # 'force-reload' alias
        #
        echo "Restarting $DESC $NAME..."
        do_stop
        case "$?" in
          0|1)
                do_start
                case "$?" in
                    0|1) echo "   Restarting $DESC $NAME succeeded" ;;
                    *)   echo "   Restarting $DESC $NAME failed: couldn't start $NAME" ;;
                esac
                ;;
          *)
                echo "   Restarting $DESC $NAME failed: couldn't stop $NAME" ;;
        esac
        ;;
  *)
        echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
        exit 3
        ;;
esac

Jij nog een idee, het werkt nog steeds niet :(

Offline Lars

  • Lid
    • Tuxplace.nl
  • Steunpunt: Nee
Re: Transmission zonder gui
« Reactie #16 Gepost op: 2009/05/17, 19:49:52 »
Raar, ik heb geen idee.